# Interface AnnotatedArrayType

All Superinterfaces:
  `AnnotatedElement, AnnotatedType`

public interface AnnotatedArrayType extends AnnotatedType
`AnnotatedArrayType` represents the potentially annotated use of an array type, whose component type may itself represent the annotated use of a type.

See Java Language Specification:
  10.1 Array Types
Since:
  1.8

## Method Summary

Modifier and Type
Method
Description
`AnnotatedType`
`getAnnotatedGenericComponentType()`
Returns the potentially annotated generic component type of this array type.
`AnnotatedType`
`getAnnotatedOwnerType()`
Returns the potentially annotated type that this type is a member of, if this type represents a nested class or interface.

### Methods declared in interface AnnotatedElement

`getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotationsByType, isAnnotationPresent`

### Methods declared in interface AnnotatedType

`getAnnotation, getAnnotations, getDeclaredAnnotations, getType`

## Method Details

### getAnnotatedGenericComponentType

AnnotatedType getAnnotatedGenericComponentType()
Returns the potentially annotated generic component type of this array type.

Returns:
  the potentially annotated generic component type of this array type
See Also:
  - `GenericArrayType.getGenericComponentType()`

### getAnnotatedOwnerType

AnnotatedType getAnnotatedOwnerType()
Returns the potentially annotated type that this type is a member of, if this type represents a nested class or interface. For example, if this type is `@TA O<T>.I<S>`, return a representation of `@TA O<T>`.

Returns `null` for an `AnnotatedType` that is an instance of `AnnotatedArrayType`.

Specified by:
  `getAnnotatedOwnerType` in interface `AnnotatedType`
Returns:
  `null`
Since:
  9